| Home | Libraries | People | FAQ | More

# boost::asio::basic_io_object< Service > Class Template Reference

Inherits noncopyable.

Inherited by boost::asio::basic_deadline_timer< Time_Type, Time_Traits, Service >, boost::asio::basic_resolver< Protocol, Service >, boost::asio::basic_socket< Protocol, Service >, boost::asio::basic_socket_acceptor< Protocol, Service >, and boost::asio::basic_strand< Service >.

Inheritance diagram for boost::asio::basic_io_object< Service >:

List of all members.

## Detailed Description

### template<typename Service>
class boost::asio::basic_io_object< Service >

Base class for all I/O objects.

## Public Types

typedef Service | service_type
| The type of the service that will be used to provide I/O operations.
typedef service_type::implementation_type | implementation_type
| The underlying implementation type of I/O object.

## Public Member Functions

| basic_io_object (boost::asio::io_service &io_service)
| Construct a basic_io_object.
boost::asio::io_service & | io_service ()
| Get the io_service associated with the object.

## Protected Member Functions

| ~basic_io_object ()
| Protected destructor to prevent deletion through this type.

## Member Typedef Documentation

template<typename Service>

typedef Service boost::asio::basic_io_object< Service >::service_type

The type of the service that will be used to provide I/O operations.

template<typename Service>

typedef service_type::implementation_type boost::asio::basic_io_object< Service >::implementation_type

The underlying implementation type of I/O object.

## Constructor & Destructor Documentation

template<typename Service>

boost::asio::basic_io_object< Service >::basic_io_object | ( | boost::asio::io_service & | io_service | ) | `[explicit]`

Construct a basic_io_object.

template<typename Service>

boost::asio::basic_io_object< Service >::~basic_io_object | ( |  | ) | `[protected]`

Protected destructor to prevent deletion through this type.

## Member Function Documentation

template<typename Service>

boost::asio::io_service& boost::asio::basic_io_object< Service >::io_service | ( |  | ) |

Get the io_service associated with the object.

This function may be used to obtain the io_service object that the I/O object uses to dispatch handlers for asynchronous operations.

Returns:
  A reference to the io_service object that the I/O object will use to dispatch handlers. Ownership is not transferred to the caller.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff